apiVersion: v1 # Descriptor conforms to version v1 of Kubernetes API
kind: Pod # Select Pod resource
metadata:
  name: k8s-pod # The name of the pod
spec:
  containers:
    - image: vuvanthanhtb/k8s-series:latest # Image to create the container
      name: k8s-pod # The name of the container
      ports:
        - containerPort: 3000 # The port the app is listening on 
          protocol: TCP


# port-forward: kubectl port-forward pod/k8s-pod 3000:3000
# delete pod: kubectl delete pod k8s-pod
